Get Wallet Transfers
curl --request GET \
--url https://synthesis.trade/api/v1/wallet/{wallet_id}/transfers \
--header 'X-API-KEY: <api-key>'import requests
url = "https://synthesis.trade/api/v1/wallet/{wallet_id}/transfers"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://synthesis.trade/api/v1/wallet/{wallet_id}/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"response": [
{
"venue": "polymarket",
"tx_hash": "0xa1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2",
"transfer_type": "DEPOSIT",
"asset_type": "ERC20",
"asset_id": "USDC.e",
"address": "0x1234567890abcdef1234567890abcdef12345678",
"from_address": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
"to_address": "0x1234567890abcdef1234567890abcdef12345678",
"amount": "100.000",
"type": "DEPOSIT",
"created_at": "2026-01-01T00:00:00"
},
{
"venue": "kalshi",
"tx_hash": "5QqJcC8Rj9o3v7x2Yp4mN6bT1rE8uKzA2sD4fG7hJ9kL",
"transfer_type": "DEPOSIT",
"asset_type": "SPL_TOKEN",
"asset_id": "USDC",
"address": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
"from_address": "...",
"to_address": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
"amount": "50.000",
"type": "DEPOSIT",
"created_at": "2025-01-15T11:00:00"
}
]
}Wallets
Get Wallet Transfers
Get transfers across all chains for a wallet.
Get Wallet Transfers
Authorizations
AccountApiKeyAccountSession
Account secret API key.
Path Parameters
Query Parameters
Maximum transfers to return. Capped at 1000.
Example:
100
Pagination offset.
Example:
0
Response
200 - application/json
Wallet transfers
⌘I